# 中证500增强新策略设置建议

## 当前情况

* 市场风格中，`EARNYILD`以及`SIZE`进入2月份以来发生了反转；
* 当前中证500策略回撤到达1.6%左右，打破之前的最大回撤记录；
* 当前策略比较显著的风格暴露：`EARNYILD`以及`BETA`的正向暴露；
* 存在风格暴露不太确定，没有上限的问题。

## 方案

### 措施

* 控制`EARNYILD`暴露在0.25至0.5之间；
* 控制`LIQUIDTY`暴露在-0.25至-0.5之间；
* 控制`GROWTH`暴露在0.2到0.4之间；
* 控制`SIZE`暴露至-0.2到0.0之间；
* 控制`BETA`暴露至0.0；
* 使用新的行业分类：sw_adj；
* 其他限制保持与当前一致。

### 特点

* 仍然会坚持当前以估值为核心，重视历史业绩表现的风格；
* 增加对风格暴露的控制，加入主观的风格判定；
* 主动增加对成长性的风格暴露；
* 对于某些行业采取主动暴露；
* 给予风格暴露上限，防止风格过于明显。

### 负面影响：

* 会提高换手率；
* 需要关注行业基本面的变化；
* 需要更多的关注风格的切换，难度较大。

### 注意事项

* 需要定期review当前风格；
* 对于`LIQUIDTY`的因子暴露，需要收集实际成交的信息。了解当前的交易成本假设是否能够覆盖低流动率下的真实交易成本。


## 因子

### 因子内容

新的因子组合，包括的内容：

* 估值类：`ep_q`;
* 质量类：`roe_q`;
* 成长类：`SGRO`, `GREV`;
* 技术类：`IVR`, `ILLIQUIDITY`;
* 预期信号：`con_target_price`, `con_pe_rolling_order`;

```python
alpha_factors = {
    'f01': LAST('ep_q'),
    'f02': LAST('roe_q'),
    'f03': LAST('SGRO'),
    'f04': LAST('GREV'),
    'f05': LAST('con_target_price'),
    'f06': LAST('con_pe_rolling_order'),
    'f07': LAST('IVR'),
    'f08': LAST('ILLIQUIDITY'),
    }
```

### 因子权重

基本原则：

* `ep_q`作为核心因子，但是最近回撤较大，取1的权重；
* 基本面因子，赋予1的权重；
* 预期类因子，赋予1的权重；
* 技术指标类因子，最近表现较好,权重至0.5的权重。

```python
weights = dict(f01=1.,
               f02=1.,
               f03=1.,
               f04=1.,
               f05=1.,
               f06=-1.,
               f07=0.5,
               f08=0.5,
              )
```
